package org.eclipse.equinox.launcher;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.io.ByteArrayOutputStream;

public class ByteArrayBuffer extends ByteArrayOutputStream {
  public ByteArrayBuffer() {}
  
  public ByteArrayBuffer(int size) {
    super(size);
  }
  
  synchronized byte[] getByteArray() {
    return this.buf;
  }
  
  public synchronized void consumed(int count) {
    if (count >= this.count) {
      reset();
      return;
    } 
    System.arraycopy(this.buf, count, this.buf, 0, this.count - count);
  }
}
